export function formatRupiah(value: number): string {
    return value.toLocaleString('id-ID');
}

export function formatRupiahShort(value: number): string {
    if (value >= 1_000_000_000) {
        return (value / 1_000_000_000).toFixed(1).replace('.0', '') + 'jt';
    }

    if (value >= 1_000_000) {
        return (value / 1_000_000).toFixed(1).replace('.0', '') + 'jt';
    }

    if (value >= 1_000) {
        return (value / 1_000).toFixed(0) + 'rb';
    }

    return value.toString();
}

export function formatRupiahDisplay(value: number): string {
    return 'Rp' + formatRupiah(value);
}
